%define qtdir qt-3.3
%define po_package startcom-artwork

Summary: Artwork for StartCom Linux look-and-feel
Name: startcom-artwork
Version: 0.241
Release: 1
URL: http://www.startcom.com
Source0: %{name}-%{version}.tar.gz
Source1: post-install-fixup.sh
Source2: post-install-sources.tar.gz
Source3: throbbers.tar.bz2
Patch0: startcom-artwork-0.121-clearlooks.patch
Patch2: startcom-artwork-0.122-padding-fix.patch
patch3: startcom-artwork-0.124-throbbers.patch
Patch4: startcom-artwork-0.129-remove-throbber.patch
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: qt < 1:3.0.4-11
Conflicts: gtk-engines < 0.11-13
Conflicts: gnome-session <= 2.0.1-3
Conflicts: kdebase <= 6:3.0.3-1
Conflicts: gdm <= 2.6.0.8-5
Conflicts: startcom-menus < 5.5.5
# we don't want to require gtk/qt
Autoreq: 0

BuildRequires: gtk+-devel >= 1.2.9
BuildRequires: gdk-pixbuf-devel
BuildRequires: gtk2-devel >= 2.6.2
#BuildRequires: qt-devel >= 1:3.3.4-10
BuildRequires: kdebase-devel >= 3.2.0
BuildRequires: xorg-x11-apps
BuildRequires: icon-slicer >= 0.3-6
# for intltool to work
BuildRequires: perl-XML-Parser
# for splash screens, and a logo in gdm theme
Requires: startcom-logos >= 1.1.22
Prereq: gtk2 >= 2.6.2

# Required for mcopidl in configure, but we don't use that...
BuildRequires: arts-devel

%description
startcom-artwork contains the themes and icons that make up the 
StartCom Linux default look and feel.

%prep
%setup -q
tar xjf %{SOURCE3}
%patch0 -p1 -b .clearlooks
%patch2 -p1 -b .padding-fix
%patch4 -p1 -b .remove-throbber

mkdir post-install
(cd post-install; tar xzvf %{SOURCE2})

%build

## this is apparently how Qt finds itself.
## they need pkg-config gospel.
unset QTDIR
echo "Trying to source qt.sh"
. /etc/profile.d/qt.sh
echo "QTDIR is $QTDIR"
export QTDIR

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%configure

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
make

%install
rm -rf $RPM_BUILD_ROOT
export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%makeinstall

# Run post-install fixup script
DATADIR=$RPM_BUILD_ROOT%{_datadir} %{SOURCE1}

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/*.la

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
install -m 0644 gtkrc2-default $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtkrc
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/skel
install -m 0644 gtkrc1-skel $RPM_BUILD_ROOT%{_sysconfdir}/skel/.gtkrc
./mkinstalldirs $RPM_BUILD_ROOT/root
install -m 0644 gtkrc1-skel $RPM_BUILD_ROOT/root/.gtkrc

%find_lang %{po_package}

#symlink some icons so we can handle some of the new added icons
#this should be added to our upstream sources
cd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/48x48/apps

# link upstream icon names to the startcom ones in bluecurve
# FIXME: the ones with -sf need to be removed upstream
for d in 48x48 32x32 24x24 16x16; do
  cd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$d/apps
  ln -s icon-db-user.png openofficeorg-base.png
  ln -s startcom-spreadsheet.png openofficeorg-calc.png
  ln -s icon-vector-editor.png openofficeorg-draw.png
  ln -s startcom-presentations.png openofficeorg-impress.png
  ln -s icon-calculator.png openofficeorg-math.png
  ln -s startcom-word-processor.png openofficeorg-writer.png
  ln -s startcom-accessories.png gnome-util.png
  ln -sf startcom-programming.png gnome-devel.png
  ln -sf startcom-games.png gnome-joystick.png
  ln -s startcom-graphics.png gnome-graphics.png
  ln -sf startcom-internet.png gnome-globe.png
  ln -sf startcom-sound_video.png gnome-multimedia.png
  ln -sf startcom-office.png gnome-applications.png
  ln -sf startcom-preferences.png gnome-settings.png
  ln -sf startcom-system_settings.png gnome-system.png
done

cd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/48x48/filesystems
ln -s ../mimetypes/fileshare.png gnome-fs-ftp.png

# link upstream icon names to the startcom ones in bluecurve
pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/
  for s in 16x16 22x22 32x32 48x48 128x128; do
    pushd $s/apps/ 2> /dev/null || continue
      ln -sf startcom-office.png package_wordprocessing.png
      ln -sf startcom-internet.png package_network.png
      ln -sf startcom-accessories.png package_applications.png
      ln -sf startcom-graphics.png package_graphics.png
      ln -sf startcom-games.png package_games.png
      ln -sf startcom-sound_video.png multimedia.png
      ln -sf startcom-preferences.png package_settings.png
      ln -sf startcom-programming.png package_development.png
      ln -sf startcom-system_tools.png package_utilities.png
      ln -sf startcom-system_settings.png package_system.png
      ln -sf startcom-tools.png package_utilities.png
      # app icons
      ln -sf startcom-email.png kmail.png
      ln -sf startcom-web-browser.png konqueror.png
      ln -sf startcom-filemanager.png kfm.png
      ln -sf startcom-home.png kfm_home.png
      ln -sf startcom-logviewer.png kviewshell.png
      # system settings
      ln -sf system-config-soundcard.png multimedia.png
    popd
  done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then 
      /usr/bin/gtk-update-icon-cache --quiet $dir
    fi
  fi
done

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc NEWS ChangeLog README COPYING

%{_datadir}/themes
%{_datadir}/gdm/themes/*
%{_datadir}/icons
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/xmms
%{_libdir}/kde3
%{_libdir}/gtk
%{_libdir}/gtk-2.0
%{_libdir}/%{qtdir}
%{_datadir}/apps/kdm/themes/Bluecurve
%dir %{_sysconfdir}/gtk-2.0
%config %{_sysconfdir}/gtk-2.0/gtkrc
%config %{_sysconfdir}/skel/.gtkrc
%config /root/.gtkrc

%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Changes for StartCom Linux

